%define		_class		Net
%define		_subclass	FTP
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(Net/FTP/Observer.php)

Name:		php-pear-%{upstream_name}
Version:	1.3.7
Release:	%mkrel 6
Summary:	Comfortable communication with FTP-servers
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_FTP/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires:	php-ftp
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear


%description
This class allows you to communicate with FTP-servers more comfortable
that the ftp-functions of PHP. Especially you can up- and download
recursively.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests
rm -rf %{buildroot}%{_datadir}/pear/data/%{upstream_name}/CHANGELOG

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/example
%doc %{upstream_name}-%{version}/CHANGELOG
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.7-6.mga3
+ Revision: 376933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.3.7-5.mga1
+ Revision: 27945
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_FTP

